
//===================================

#ifndef NULL
#ifdef __cplusplus
#define NULL	0
#else
#define NULL	((void *)0)
#endif
#endif

#ifndef FALSE
#define FALSE		0
#endif

#ifndef TRUE
#define TRUE		1
#endif


#ifndef VOID
#define VOID		void
#endif

typedef void				*LPVOID;

//===================================

typedef unsigned long       DWORD;
typedef int                 BOOL;
typedef unsigned char       BYTE;
typedef unsigned short      WORD;
typedef float               FLOAT;
typedef FLOAT               *PFLOAT;

typedef int                 INT;
typedef unsigned int        UINT;
typedef unsigned int        *PUINT;

typedef DWORD				*HINSTANCE;
typedef char				*LPSTR;

typedef char				*LPTSTR;
typedef const char			*LPCTSTR;

//===================================

typedef struct _SECURITY_ATTRIBUTES {
    DWORD  nLength; 
    LPVOID lpSecurityDescriptor; 
    BOOL   bInheritHandle; 
} SECURITY_ATTRIBUTES; 

typedef struct _SECURITY_ATTRIBUTES *LPSECURITY_ATTRIBUTES;

//===================================

void*  memset(
		void *mem, 
		int c, 
		size_t size
		);

int WinMain(
		HINSTANCE hInstance,
		HINSTANCE hPrevInstance,
		LPSTR lpCmdLine,
		int nShowCmd
		);


VOID ExitProcess(
		UINT uExitCode
		);


VOID Sleep(
		DWORD dwMilliseconds
		);

int lstrlen(
		LPCTSTR lpString
		);


LPTSTR lstrcat(
		LPTSTR lpString1,
		LPCTSTR lpString2
		);

BOOL CreateDirectory(
		LPCTSTR lpPathName,
		LPSECURITY_ATTRIBUTES lpSecurityAttributes
		);

BOOL DeleteFile(
		LPCTSTR lpFileName
		);

//===================================
